<?php
require_once('config.php');

$error_message;
$valid = true;
$site_cd = $_REQUEST['site_cd'];

$sql="select cnt_mst_numbering , cnt_mst_option ,cnt_mst_module_cd from cnt_mst  (NOLOCK)
where  cnt_mst.site_cd ='".$site_cd."'
And cnt_mst_module_cd =  'AST'";

$stmt = sqlsrv_query( $conn, $sql);
 
 
if( !$stmt ) {
	
     $error_message = "Error selecting table (cnt_mst)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
	 
}
$json = array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {		
		$json[] = $row;	
	
     }
} while ( sqlsrv_next_result($stmt) );

if ($valid) {

	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);
	//echo $sql;
	returnData($json);	
	
	
}

function returnData($json){
	
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',
	'data' => $json);
	
	echo json_encode($returnData);
}	


function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => $json);
	
	echo json_encode($returnData);
	exit();
		
}
	
?>